commit:     85c5a974eeb227e8032c524cfb9215afd8803671
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 10 03:15:00 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 10 03:15:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85c5a974

dev-python/rq: bump to 1.5.2

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/rq/Manifest        |  1 +
 dev-python/rq/rq-1.5.2.ebuild | 66 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index 556aa6b2121..fd7cc2e16bf 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,2 +1,3 @@
 DIST rq-1.5.0.tar.gz 569320 BLAKE2B 
5349f6e806c5348e584513bf8fe8828c44909b8f4e53fcdfe40e0c617f162859dbc89d4595993c29227a25cef5b6ddbb758c51c3e50b442ada62eaca0585490a
 SHA512 
87eb83de529afe3a1e0a9f2b1727aba97482e3e55024aede29ad6e12ed5b92ca147bef8d720a09b34939c04ac5e37642147aea5b1b7686ed4b2aaacdcf998f6d
 DIST rq-1.5.1.tar.gz 569967 BLAKE2B 
9de43fa2d88a58186e8889163f4c1ea92da068c3652c5e32008a39c0e3b27e06f4a1c696a88d1dbf5b05d280bff9c1c56a1995673e9d0ff3fb3a50498729e96b
 SHA512 
2a03b79c7f1b253e2974007616ad3342e0b98ef9f57b0ca9dd41ecb4319074cec3ae4ba5f8958f54a1c2a6342062d74a33ec6d03689f3a89074854483af74b4f
+DIST rq-1.5.2.tar.gz 570138 BLAKE2B 
de1f9b9b1d790d0ea3efcd93e916f79b2f28521571652ba048adc725bd53b657cab5a7b2bc65b320a1c2766f77dba399ae62e90fa0a2514fc59565b8949c0327
 SHA512 
2e2cfe97d427057281415cfb1593ad504485b0398b72f55a93cfa48c7bae8f800ed1b1ad2aa447fe3f6baabd7bb112af29181577d31b270aee58cf4558d15a5b

diff --git a/dev-python/rq/rq-1.5.2.ebuild b/dev-python/rq/rq-1.5.2.ebuild
new file mode 100644
index 00000000000..7c976453a10
--- /dev/null
+++ b/dev-python/rq/rq-1.5.2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="simple, lightweight library for creating and processing 
background jobs"
+HOMEPAGE="https://python-rq.org https://github.com/rq/rq";
+SRC_URI="https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+BDEPEND="
+       test? (
+               dev-db/redis
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/sentry-sdk[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="
+       >=dev-python/click-5.0[${PYTHON_USEDEP}]
+       >=dev-python/redis-py-3.5.0[${PYTHON_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.5.0-no-install-tests.patch"
+)
+
+src_test() {
+       local redis_pid="${T}"/redis.pid
+       local redis_port=6379
+       local redis_test_config="daemonize yes
+               pidfile ${redis_pid}
+               port ${redis_port}
+               bind 127.0.0.1
+       "
+
+       # Spawn Redis itself for testing purposes
+       # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+       # I'm not restricting tests yet because this doesn't happen for anyone 
else AFAICT.
+       elog "Spawning Redis"
+       elog "NOTE: Port ${redis_port} must be free"
+       /usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+       # Run the actual tests
+       distutils-r1_src_test
+
+       # Clean up afterwards
+       kill "$(<"${redis_pid}")" || die
+}
+
+python_test() {
+       # Tests needing rqworker:
+       # TestWorkerSubprocess::test_run_access_self, test_run_empty_queue, 
test_run_scheduled_access_self
+       distutils_install_for_testing
+       PATH="${BUILD_DIR}/test/scripts:${PATH}" pytest -vv || die "Testsuite 
failed under ${EPYTHON}"
+}

Reply via email to